#ifndef BIBUNU_PROPERTIES_H
#define BIBUNU_PROPERTIES_H

#include <map>
#include <string>

namespace bibunu
{

/* A Java style Properties interface */
class Properties
{
private:
   std::map<std::string,std::string> _m_prop_maps;
public:
   bool load(const char * file_name);
   const char * getString(const char * key,const char * defval = NULL);
   int getInt(const char * key, int defval = 0);
};

}

#endif // BIBUNU_PROPERTIES_H
